MultiDirectoryPropertyEditor (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util.propertyEditor
Class MultiDirectoryPropertyEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          com.bbn.openmap.util.propertyEditor.FilePropertyEditor
              com.bbn.openmap.util.propertyEditor.MultiDirectoryPropertyEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, java.beans.PropertyEditor, java.util.EventListener

Direct Known Subclasses:
  MultiDirFilePropertyEditor

    public class MultiDirectoryPropertyEditor

extends FilePropertyEditor

A PropertyEditor that brings up a JFileChooser panel that allows the user to choose one or more directories. The user can also enter information in the text field, and pressing the add button will bring up a file chooser. Anything chosen in the file chooser will be appended to what is currently in the text field.

Field Summary
`protected char` | `pathSeparator`

Fields inherited from class com.bbn.openmap.util.propertyEditor.FilePropertyEditor
`button, textField`

Constructor Summary
`MultiDirectoryPropertyEditor()` Create MultiDirectoryPropertyEditor.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`void` | `append(java.lang.String addPath)` Add a path to the end of the current path.
`java.lang.String` | `getButtonTitle()` Internal callback method that can be overridden by subclasses.
`int` | `getFileSelectionMode()` Internal callback method that can be overridden by subclasses.
`char` | `getPathSeparator()`
`boolean` | `isMultiSelectEnabled()` Internal callback method that can be overridden by subclasses.
`boolean` | `isTextFieldEditable()` Internal callback method that can be overridden by subclasses.
`void` | `setPathSeparator(char c)` Set the character to use when appending paths.

Methods inherited from class com.bbn.openmap.util.propertyEditor.FilePropertyEditor
`cleanUpName, getAsText, getCustomEditor, getFileChooser, getLastLocation, setValue, supportsCustomEditor`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setAsText, setSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pathSeparator

    protected char pathSeparator

Constructor Detail

### MultiDirectoryPropertyEditor

    public MultiDirectoryPropertyEditor()

  Create MultiDirectoryPropertyEditor.

Method Detail

### getButtonTitle

    public java.lang.String getButtonTitle()

  Description copied from class: `FilePropertyEditor`
  Internal callback method that can be overridden by subclasses.

  Overrides:
    `getButtonTitle` in class `FilePropertyEditor`
  Returns:
    "Set" for FilePropertyEditor.

### isTextFieldEditable

    public boolean isTextFieldEditable()

  Internal callback method that can be overridden by subclasses.

  Overrides:
    `isTextFieldEditable` in class `FilePropertyEditor`
  Returns:
    true for MultiDirectoryPropertyEditor.

### getFileSelectionMode

    public int getFileSelectionMode()

  Internal callback method that can be overridden by subclasses.

  Overrides:
    `getFileSelectionMode` in class `FilePropertyEditor`
  Returns:
    JFileChooser.DIRECTORIES_ONLY for MultiDirectoryPropertyEditor.

### isMultiSelectEnabled

    public boolean isMultiSelectEnabled()

  Internal callback method that can be overridden by subclasses.

  Overrides:
    `isMultiSelectEnabled` in class `FilePropertyEditor`
  Returns:
    true for MultiDirectoryPropertyEditor.

### setPathSeparator

    public void setPathSeparator(char c)

  Set the character to use when appending paths.

### getPathSeparator

    public char getPathSeparator()

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Overrides:
    `actionPerformed` in class `FilePropertyEditor`

### append

    public void append(java.lang.String addPath)

  Add a path to the end of the current path. Uses the pathSeparator between paths.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details